set auto_path "$env(CLIBHOME)/Tcl_Tk $auto_path"

proc mkBack {w} {
	global DPATH DNAME TYPE

	switch $TYPE {
		Local	{
				set name $DNAME
		}
		Remote	{
			set last [string last / $DNAME]
			set name [string range $DNAME 0 [expr $last-1]]
			set last [string last / $DNAME]
        		set file [string range $DNAME [expr $last+1] end]
			if [file exists $file] {
				exec rm $file
			}
		}
	}
	$w.menubar.goup configure -state normal
	$w.menubar.done configure -state normal
	$w.title.entry configure -state normal
	$w.title.entry delete 0 end
	$w.title.entry insert 0 $name
	$w.title.entry configure -state disabled
	pack forget $w.text
	pack $w.canvas -side top -fill x
	$w.menubar.print configure -state disabled
	$w.menubar.back configure -state disabled
	$w.menubar.download configure -state normal
}
