set auto_path "$env(CLIBHOME)/Tcl_Tk $auto_path"

proc mkGoUp {w} {
	global DPATH DNAME TYPE HOME
	switch $TYPE {
		Local	{
				set cwd [set DPATH]
				set dirname [set DNAME]
				if {[string compare \
				$HOME/database $cwd] == -1} {
					set last [string last / $cwd]
					set dirup [string range $cwd 0 [expr \
									$last-1]]
					displayComponent $w $dirup $dirname
				} else {
					set dirup $HOME/database
					displayComponent $w $dirup $dirname 
				}
		}
		Remote	{
				set path $DPATH
				set last [string last / $DNAME]
				set name [string range $DNAME 0 [expr $last-1]]
				if [file exists $HOME/tmp/tmpls] {
					exec rm $HOME/tmp/tmpls
				}
				exec $HOME/backend/ftpls $path $name \
					> $HOME/tmp/null
				if [file exists $HOME/tmp/null] {
					exec rm $HOME/tmp/null
				}
				displayComponent $w $path $name
		}
	}
}
