set auto_path "$env(CLIBHOME)/Tcl_Tk $auto_path"

proc displayFile {w path name fileName} {
        global DPATH TYPE DNAME

	$w.menubar.goup configure -state disabled
	$w.menubar.done configure -state disabled
	$w.title.entry configure -state normal
	$w.title.entry delete 0 end
	$w.title.entry insert 0 $name:$fileName 
	$w.title.entry configure -state disabled
        pack forget $w.canvas
    	pack $w.text -side top -fill x
	$w.menubar.download configure -state disabled
	$w.menubar.print configure -state normal
	$w.menubar.back configure -state normal
	set t $w.text.t
	switch $TYPE {
		Local	{
        			set DPATH [set path]
				TextLoadFile $t $path/$fileName
			}
		Remote {
				set DNAME $name/$fileName
				TextLoadFile $t $fileName
			}
	}
}

proc TextLoadFile {w file} {
    $w configure -state normal 
    set f [open $file]
    $w delete 1.0 end
    while {![eof $f]} {
        $w insert end [read $f 10000]
    }
    close $f
    $w configure -state disabled 
}

