set auto_path "$env(CLIBHOME)/Tcl_Tk $auto_path"

proc mkGo {w String} {
	global MAXHITS TYPE HOME COMPLIST LASTQUERY 
	set c $w.components.c
	$c delete all
	set font1 -Adobe-Courier-Bold-R-Normal-*-120-*
	global SearchType
	set IndexfileName $HOME/Index
	set ComponentList [list ]
	switch $SearchType {
		Or 	{ 
			set String [string tolower $String]
			set ComponentList [mkOr $String]
			set COMPLIST $ComponentList
			set ListLength [llength $ComponentList]
			set l 0; set i 0; set f 0
			set x 10; set y 10
			while {$l < $ListLength} {
			  set El(0) [lindex $ComponentList $l]
			  incr l
			  set El(1) [lindex $ComponentList $l]
			  if [string match */ $El(1)] {
				$c create bitmap $x $y \
				-bitmap @$HOME/Tcl_Tk/Bitmaps/component.bit \
				-tags component.$i 
				$c create text [expr $x+25] $y -justify left\
				 -anchor w -text $El(0) -font $font1 \
				 -tags component.$i 
				$c addtag similar.$i withtag component.$i
				set path.$i [string trimright $El(1) /]
				set name.$i $El(0)
				incr i
			  } else {
				$c create bitmap $x $y \
			 	-bitmap @$HOME/Tcl_Tk/Bitmaps/file.bit \
				-tags fcomponent.$f
				$c create text [expr $x+25] $y -justify left\
				 -anchor w -text $El(0) -font $font1 \
				 -tags fcomponent.$f
				$c addtag fsimilar.$f withtag fcomponent.$f
				set last [string last / $El(1)]
				set fpath.$f [string range $El(1) 0 \
				             [expr $last-1]]
				set fname.$f [string range $El(1) \
				             [expr $last+1] end] 
				set sfname.$f $El(0)
				incr f
			  }
				incr y 20; incr l
			  }
			  $w.status.entry configure -state normal
			  $w.status.entry delete 0 end 
			  $w.status.entry insert 0 "[expr $ListLength / 2]\
						     items found" 
			  $w.status.entry configure -state disabled
		}
		And 	{ 
			set String [string tolower $String]
			set ComponentList [mkAnd $String] 
			set COMPLIST $ComponentList
			set ListLength [llength $ComponentList]
			set i 0; set l 0; set f 0
			set x 10; set y 10
			while {$l < $ListLength} {
			  set El(0) [lindex $ComponentList $l]
			  incr l
			  set El(1) [lindex $ComponentList $l]
			  if [string match */ $El(1)] {
				$c create bitmap $x $y \
			 	-bitmap @$HOME/Tcl_Tk/Bitmaps/component.bit \
				-tags component.$i
				$c create text [expr $x+25] $y -justify left\
				 -anchor w -text $El(0) -font $font1 \
				 -tags component.$i
				$c addtag similar.$i withtag component.$i
				set path.$i [string trimright $El(1) /]
				set name.$i $El(0)
				incr i
			  } else {
				$c create bitmap $x $y \
                                -bitmap @$HOME/Tcl_Tk/Bitmaps/file.bit \
				-tags fcomponent.$f
                                $c create text [expr $x+25] $y -justify left\
                                 -anchor w -text $El(0) -font $font1 \
                                 -tags fcomponent.$f
				$c addtag fsimilar.$f withtag fcomponent.$f
                                set last [string last / $El(1)]
                                set fpath.$f [string range $El(1) 0 \
						[expr $last-1]]
                                set fname.$f [string range $El(1) \
						[expr $last+1] end]
				set sfname.$f $El(0)
                                incr f
			  }
				incr y 20; incr l
			}
			  $w.status.entry configure -state normal
			  $w.status.entry delete 0 end 
			  $w.status.entry insert 0 "[expr $ListLength / 2] \
					            items found" 
			  $w.status.entry configure -state disabled
		}
		Literal { 
			#set ComponentList [mkLiteral $String]
			#set ListLength [llength $ComponentList]
			#set l 0; set i 0; set f 0
			#set x 10; set y 10
			#while {$l < $ListLength} {
			#   set El(0) [lindex $ComponentList $l]
			#   incr l
			#   set El(1) [lindex $ComponentList $l]
			#   if [string match */ $El(1)] {
			#	$c create bitmap $x $y \
			#	-bitmap @$HOME/Tcl_Tk/Bitmaps/component.bit -tags component.$i
			#	$c create text [expr $x+25] $y -justify left\
			#	 -anchor w -text $El(0) -font $font1 \
			#	 -tags component.$i
			#	set path.$i [string trimright $El(1) /]
			#	set name.$i $El(0)
			#	incr i
			#   } else {
			#	$c create bitmap $x $y \
                        #        -bitmap @$HOME/Tcl_Tk/Bitmaps/file.bit -tags fcomponent.$f
                        #        $c create text [expr $x+25] $y -justify left\
                        #         -anchor w -text $El(0) -font $font1 \
                        #         -tags fcomponent.$f
                        #        set last [string last / $El(1)]
                        #        set fpath.$f [string range $El(1) 0 [expr $last-1]]
                        #        set fname.$f [string range $El(1) [expr $last+1]\
                        #                      end]
                        #        incr f
			#   }
			#	incr y 20; incr l
			#}
			set x 10; set y 10
			exec archie -m$MAXHITS -l -h archie.sura.net \
                             $String > $HOME/tmp/output
			exec awk -f $HOME/Tcl_Tk/awkhost $HOME/tmp/output \
                             > $HOME/tmp/hostout
			exec awk -f $HOME/Tcl_Tk/awkfile $HOME/tmp/output \
                             > $HOME/tmp/fileout
			if [file exists $HOME/tmp/output] {
				exec rm $HOME/tmp/output
			}
			set i 0; set f 0
			set hf [open $HOME/tmp/hostout] 
 			set ff [open $HOME/tmp/fileout] 
			while {[gets $ff textFile] >= 0} {
			    gets $hf textHost
			    if [string match */ $textFile] {
				$c create bitmap $x $y \
				-bitmap @$HOME/Tcl_Tk/Bitmaps/component.bit -tags rcomponent.$i
				$c create text [expr $x+25] $y -justify left\
				-anchor w -text $textFile -font $font1\
				-tags rcomponent.$i
				set rpath.$i [string trimright $textFile /]
				set rhost.$i $textHost
				incr i 
			     } else {
				$c create bitmap $x $y \
                                -bitmap @$HOME/Tcl_Tk/Bitmaps/file.bit -tags rfcomponent.$f
                                $c create text [expr $x+25] $y -justify left\
                                 -anchor w -text $textFile -font $font1 \
                                 -tags rfcomponent.$f
                                set rfpath.$f $textFile 
                                set rfhost.$f $textHost
                                incr f
			     }
			     incr y 20
			}
			close $hf; close $ff
			if [file exists $HOME/tmp/hostout] {
				exec rm $HOME/tmp/hostout
			}
			if [file exists $HOME/tmp/fileout] {
				exec rm $HOME/tmp/fileout 
			}
			set NoOfRComponents $i 
			for {set i 0} {$i < $NoOfRComponents} {incr i} {
			$c bind rcomponent.$i <Enter> "rcomponentEnter $c $i"
			$c bind rcomponent.$i <Leave> "rcomponentLeave $c $i"
			set rpath [set rpath.$i]
			set rhost [set rhost.$i]
			$c bind rcomponent.$i <Double-1> "mkRComponent $rpath $rhost"
			}
			set NoOfRFComponents $f 
			for {set i 0} {$i < $NoOfRFComponents} {incr i} {
			$c bind rfcomponent.$i <Enter> "rfcomponentEnter $c $i"
			$c bind rfcomponent.$i <Leave> "rfcomponentLeave $c $i"
			set rfpath [set rfpath.$i]
			set rfhost [set rfhost.$i]
			$c bind rfcomponent.$i <Double-1> "mkRFComponent $rfpath \
                                                           $rfhost"
			}
			set i 0; set f 0
			#set Items [expr $ListLength + $NoOfRComponents + \
                        #           $NoOfRFComponents]
			set Items [expr $NoOfRComponents + $NoOfRFComponents]
			$w.status.entry configure -state normal
			$w.status.entry delete 0 end 
			$w.status.entry insert 0 "$Items items found" 
			$w.status.entry configure -state disabled
		}
		Similar { 
			set ComponentList [mkSimilar]
			set ListLength [llength $ComponentList]
			set l 0; set i 0; set f 0
			set x 10; set y 10
			while {$l < $ListLength} {
			  set El(0) [lindex $ComponentList $l]
			  incr l
			  set El(1) [lindex $ComponentList $l]
			  if [string match */ $El(1)] {
				$c create bitmap $x $y \
				-bitmap @$HOME/Tcl_Tk/Bitmaps/component.bit \
				-tags component.$i 
				$c create text [expr $x+25] $y -justify left\
				 -anchor w -text $El(0) -font $font1 \
				 -tags component.$i 
				$c addtag similar.$i withtag component.$i
				set path.$i [string trimright $El(1) /]
				set name.$i $El(0)
				incr i
			  } else {
				$c create bitmap $x $y \
			 	-bitmap @$HOME/Tcl_Tk/Bitmaps/file.bit \
				-tags fcomponent.$f
				$c create text [expr $x+25] $y -justify left\
				 -anchor w -text $El(0) -font $font1 \
				 -tags fcomponent.$f
				$c addtag fsimilar.$f withtag fcomponent.$f
				set last [string last / $El(1)]
				set fpath.$f [string range $El(1) 0 \
				             [expr $last-1]]
				set fname.$f [string range $El(1) \
				             [expr $last+1] end] 
				set sfname.$f $El(0)
				incr f
			  }
				incr y 20; incr l
			  }
			  $w.status.entry configure -state normal
			  $w.status.entry delete 0 end 
			  $w.status.entry insert 0 "[expr $ListLength / 2] \
							items found" 
			  $w.status.entry configure -state disabled
		}
		Union { 
			set ComponentList $LASTQUERY
        		foreach i $COMPLIST {
                		set present 0
                		foreach j $LASTQUERY {
                        		if {[string compare $i $j] == 0} {
                                		set present 1
                        		}
                		}
                		if {$present == 0} {
                        		set ComponentList [concat \
							   $ComponentList $i]
                		}
        		}
			set COMPLIST $ComponentList
			set ListLength [llength $ComponentList]
			set l 0; set i 0; set f 0
			set x 10; set y 10
			while {$l < $ListLength} {
			  set El(0) [lindex $ComponentList $l]
			  incr l
			  set El(1) [lindex $ComponentList $l]
			  if [string match */ $El(1)] {
				$c create bitmap $x $y \
				-bitmap @$HOME/Tcl_Tk/Bitmaps/component.bit \
				-tags component.$i 
				$c create text [expr $x+25] $y -justify left\
				 -anchor w -text $El(0) -font $font1 \
				 -tags component.$i 
				$c addtag similar.$i withtag component.$i
				set path.$i [string trimright $El(1) /]
				set name.$i $El(0)
				incr i
			  } else {
				$c create bitmap $x $y \
			 	-bitmap @$HOME/Tcl_Tk/Bitmaps/file.bit \
				-tags fcomponent.$f
				$c create text [expr $x+25] $y -justify left\
				 -anchor w -text $El(0) -font $font1 \
				 -tags fcomponent.$f
				$c addtag fsimilar.$f withtag fcomponent.$f
				set last [string last / $El(1)]
				set fpath.$f [string range $El(1) 0 \
				             [expr $last-1]]
				set fname.$f [string range $El(1) \
				             [expr $last+1] end] 
				set sfname.$f $El(0)
				incr f
			  }
				incr y 20; incr l
			  }
			  $w.status.entry configure -state normal
			  $w.status.entry delete 0 end 
			  $w.status.entry insert 0 "[expr $ListLength / 2]\
						     items found" 
			  $w.status.entry configure -state disabled
		}
		Intersection {
			set ComponentList [list ]
        		foreach i $COMPLIST {
                		set present 0
                		foreach j $LASTQUERY {
                        		if {[string compare $i $j] == 0} {
                                		set present 1
                        		}
                		}
                		if {$present == 1} {
                        		set ComponentList [concat \
							   $ComponentList $i]
                		}
        		}
			set COMPLIST $ComponentList
			set ListLength [llength $ComponentList]
			set l 0; set i 0; set f 0
			set x 10; set y 10
			while {$l < $ListLength} {
			  set El(0) [lindex $ComponentList $l]
			  incr l
			  set El(1) [lindex $ComponentList $l]
			  if [string match */ $El(1)] {
				$c create bitmap $x $y \
				-bitmap @$HOME/Tcl_Tk/Bitmaps/component.bit \
				-tags component.$i 
				$c create text [expr $x+25] $y -justify left\
				 -anchor w -text $El(0) -font $font1 \
				 -tags component.$i 
				$c addtag similar.$i withtag component.$i
				set path.$i [string trimright $El(1) /]
				set name.$i $El(0)
				incr i
			  } else {
				$c create bitmap $x $y \
			 	-bitmap @$HOME/Tcl_Tk/Bitmaps/file.bit \
				-tags fcomponent.$f
				$c create text [expr $x+25] $y -justify left\
				 -anchor w -text $El(0) -font $font1 \
				 -tags fcomponent.$f
				$c addtag fsimilar.$f withtag fcomponent.$f
				set last [string last / $El(1)]
				set fpath.$f [string range $El(1) 0 \
				             [expr $last-1]]
				set fname.$f [string range $El(1) \
				             [expr $last+1] end] 
				set sfname.$f $El(0)
				incr f
			  }
				incr y 20; incr l
			  }
			  $w.status.entry configure -state normal
			  $w.status.entry delete 0 end 
			  $w.status.entry insert 0 "[expr $ListLength / 2]\
						     items found" 
			  $w.status.entry configure -state disabled
		}
	}

set TYPE Local
set NoOfComponents $i
for {set i 0} {$i < $NoOfComponents} {incr i} {
$c bind component.$i <Enter> "componentEnter $c $i"
$c bind component.$i <Leave> "componentLeave $c $i"
set path [set path.$i]
set name [set name.$i]
$c bind component.$i <Double-1> "mkComponent $path $name"
$c bind similar.$i <Double-2> "mkSimilarComponent $w $name"
}

set TYPE Local
set NoOfFComponents $f
for {set j 0} {$j < $NoOfFComponents} {incr j} {
$c bind fcomponent.$j <Enter> "fcomponentEnter $c $j"
$c bind fcomponent.$j <Leave> "fcomponentLeave $c $j"
set fpath [set fpath.$j]
set fname [set fname.$j]
set sfname [set sfname.$j]
$c bind fcomponent.$j <Double-1> "mkFComponent $fpath $fname"
$c bind fsimilar.$j <Double-2> "mkFSimilarComponent $w $sfname"
}

}

proc mkFSimilarComponent {w sfname} {
	global SCY SCNo HOME SIMILARLIST

	set i $SCNo
	set c $w.similarc.c 
	set font1 -Adobe-Courier-Bold-R-Normal-*-120-*
	set x 10; set y $SCY
	$c create bitmap $x $y -bitmap @$HOME/Tcl_Tk/Bitmaps/file.bit -tags scomponent.$i
	$c create text [expr $x+25] $y -justify left -anchor w -text $sfname -font $font1 -tags scomponent.$i
	set SIMILARLIST [concat $SIMILARLIST $sfname]
	incr SCY 20; incr SCNo

$c bind scomponent.$i <Enter> "scomponentEnter $c $i"
$c bind scomponent.$i <Leave> "scomponentLeave $c $i"
$c bind scomponent.$i <Double-2> "scomponentDelete $c $i"
}

proc mkSimilarComponent {w name} {
	global SCY SCNo HOME SIMILARLIST

	set i $SCNo
	set c $w.similarc.c 
	set font1 -Adobe-Courier-Bold-R-Normal-*-120-*
	set x 10; set y $SCY
	$c create bitmap $x $y -bitmap @$HOME/Tcl_Tk/Bitmaps/component.bit -tags scomponent.$i
	$c create text [expr $x+25] $y -justify left -anchor w -text $name -font $font1 -tags scomponent.$i
	set SIMILARLIST [concat $SIMILARLIST $name]
	incr SCY 20; incr SCNo

$c bind scomponent.$i <Enter> "scomponentEnter $c $i"
$c bind scomponent.$i <Leave> "scomponentLeave $c $i"
$c bind scomponent.$i <Double-2> "scomponentDelete $c $i"
}

proc scomponentDelete {c index} {
	set l [$c find withtag scomponent.$index]
	foreach i $l {
		$c delete $i
	}
}

proc scomponentEnter {c index} {
	set l [$c find withtag scomponent.$index]
	foreach i $l {
		set type [$c type $i]
		if {$type == "bitmap"} {
        	$c itemconfigure $i -foreground Red 
		}
		if {$type == "text"} {
        	$c itemconfigure $i -fill Red 
		}
	}
}

proc componentEnter {c index} {
	set l [$c find withtag component.$index]
	foreach i $l {
		set type [$c type $i]
		if {$type == "bitmap"} {
        	$c itemconfigure $i -foreground Red 
		}
		if {$type == "text"} {
        	$c itemconfigure $i -fill Red 
		}
	}
}

proc fcomponentEnter {c index} {
	set l [$c find withtag fcomponent.$index]
	foreach i $l {
		set type [$c type $i]
		if {$type == "bitmap"} {
        	$c itemconfigure $i -foreground Red 
		}
		if {$type == "text"} {
        	$c itemconfigure $i -fill Red 
		}
	}
}

proc rcomponentEnter {c index} {
	set l [$c find withtag rcomponent.$index]
	foreach i $l {
		set type [$c type $i]
		if {$type == "bitmap"} {
        	$c itemconfigure $i -foreground Red 
		}
		if {$type == "text"} {
        	$c itemconfigure $i -fill Red 
		}
	}
}

proc rfcomponentEnter {c index} {
	set l [$c find withtag rfcomponent.$index]
	foreach i $l {
		set type [$c type $i]
		if {$type == "bitmap"} {
        	$c itemconfigure $i -foreground Red 
		}
		if {$type == "text"} {
        	$c itemconfigure $i -fill Red 
		}
	}
}

proc scomponentLeave {c index} {
	set l [$c find withtag scomponent.$index]
	foreach i $l {
		set type [$c type $i]
		if {$type == "bitmap"} {
        	$c itemconfigure $i -foreground Black 
		}
		if {$type == "text"} {
        	$c itemconfigure $i -fill Black 
		}
	}
}

proc componentLeave {c index} {
	set l [$c find withtag component.$index]
	foreach i $l {
		set type [$c type $i]
		if {$type == "bitmap"} {
        	$c itemconfigure $i -foreground Black 
		}
		if {$type == "text"} {
        	$c itemconfigure $i -fill Black 
		}
	}
}

proc fcomponentLeave {c index} {
	set l [$c find withtag fcomponent.$index]
	foreach i $l {
		set type [$c type $i]
		if {$type == "bitmap"} {
        	$c itemconfigure $i -foreground Black 
		}
		if {$type == "text"} {
        	$c itemconfigure $i -fill Black 
		}
	}
}

proc rcomponentLeave {c index} {
	set l [$c find withtag rcomponent.$index]
	foreach i $l {
		set type [$c type $i]
		if {$type == "bitmap"} {
        	$c itemconfigure $i -foreground Black 
		}
		if {$type == "text"} {
        	$c itemconfigure $i -fill Black 
		}
	}
}

proc rfcomponentLeave {c index} {
	set l [$c find withtag rfcomponent.$index]
	foreach i $l {
		set type [$c type $i]
		if {$type == "bitmap"} {
        	$c itemconfigure $i -foreground Black 
		}
		if {$type == "text"} {
        	$c itemconfigure $i -fill Black 
		}
	}
}
