set auto_path "$env(CLIBHOME)/Tcl_Tk $auto_path"

proc mkOr {patternString} {
   global oramsg

   set j 0
   foreach i $patternString {
	set key$j $i
	incr j
   }
   set no_of_keywords $j
   set or_search_sql [list ]
   set search_sql "select compname, comppath from library where \
                   compname like '%$key0%'"
   set or_search_sql [concat $or_search_sql $search_sql] 
   set k 1
   while {$k < $no_of_keywords} {
    set key [set key$k]
    set search_sql "union select compname, comppath from library where \
                   compname like '%$key%'"
    set or_search_sql [concat $or_search_sql $search_sql] 
    incr k
   }

   set idpass "smsk/linu"
   set logon_handle [oralogon $idpass]
   set cur [oraopen $logon_handle]
   orasql $cur $or_search_sql
   set ComponentList [list ]
   if {$oramsg(rc) == 0} {
           while {[set component [orafetch $cur]] != ""} {
           set ComponentList [concat $ComponentList $component]
           }
   }
   oraclose $cur
   oralogoff  $logon_handle
   return $ComponentList
}

