set auto_path "$env(CLIBHOME)/Tcl_Tk $auto_path"

proc mkSimilar {} {
   global oramsg SIMILARLIST

   set k 0
   foreach i $SIMILARLIST {
	regsub -all "_" $i " " String
	foreach j $String {
		set key$k $j
		incr k
	}
   }
   set no_of_keywords $k
   set k 0; set search_string [list ] 
   while {$k < $no_of_keywords} {
	 set key [set key$k]
	 set search_string [concat $search_string $key]
         incr k
   } 
   set OrList [mkOr $search_string]
   set AndList [mkAnd $search_string]
   set ComponentList $OrList
   foreach i $AndList {
         set present 0
         foreach j $OrList {
                if {[string compare $i $j] == 0} {
                         set present 1
                 }
         }
         if {$present == 0} {
                set ComponentList [concat $ComponentList $i]
         }
   }
   set i 0 
   while {$i < [expr $no_of_keywords - 1]} {
	set j [expr $i + 1]
	while {$j < $no_of_keywords} {
	   set keya [set key$i]
	   set keyb [set key$j]
	   set search_string "$keya $keyb"
	   set AndList [mkAnd $search_string]
           set tmpList $ComponentList
   	   foreach p $AndList {
                set present 0
                foreach q $tmpList {
                     if {[string compare $p $q] == 0} {
                             set present 1
                     }
                }
                if {$present == 0} {
                         set ComponentList [concat $ComponentList $p]
                }
           }
	   set search_string "$keyb $keya"
	   set AndList [mkAnd $search_string]
           set tmpList $ComponentList
   	   foreach p $AndList {
                set present 0
                foreach q $tmpList {
                     if {[string compare $p $q] == 0} {
                             set present 1
                     }
                }
                if {$present == 0} {
                         set ComponentList [concat $ComponentList $p]
                }
           }
	   incr j
        }
        incr i
   }
   return $ComponentList
}
